update-manager hides but wants to install ignored phased updates

Bug #1211511 reported by PJSingh5000 on 2013-08-12
306
This bug affects 57 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Brian Murray
Raring
High
Brian Murray

Bug Description

[Impact]

It is possible for update-manager to display an empty update list, or for the
size of files to download to be greater than the sum of the sizes of the
updates listed in the update list. This can happen when the random number
generated by update-manager for a phased update is greater than the
Phased-Update-Percentage for a package, so that package is elected not to be
installed. The package is removed from the update list but still ends up
being installed. Subsequently, updates aren't really being phased at all.

[Test Case]
1. install raring
2. add 'Update-Manager::Never-Include-Phased-Updates "True";' to /etc/apt/apt.conf
3. update the system
4. ensure bamfdaemon version 0.4.0daily13.06.19~13.04-0ubuntu1 is not installed
5. comment out Never-Include-Phased-Updates
6. run update-manager and observe an empty update list but that files will be
downloaded ("%s will be downloaded" dialog).

With the package from -proposed you should receive a dialog indicating that
the system is up to date.

Original Description:

Software Updater displays the message: "Updated software is available for this computer. Do you want to install it now?"
However, the Details of updates list is blank.
Software Updater displays the size of the download.
The Technical decription, Changes text area is blank.
The Technical decription, Description area is also blank.

When update-manager is run from the commandline, the only output is...
    $ ubuntu-bug update-manager
    (apport-gtk:7449): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
    (apport-gtk:7449): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
    (apport-gtk:7449): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
    (process:8800): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed

A screen shot is attached.

ProblemType: BugDistroRelease: Ubuntu 13.04
Package: update-manager 1:0.186.1
ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
Uname: Linux 3.8.0-27-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
Date: Mon Aug 12 16:54:12 2013
GsettingsChanges:
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'launch-time' b'1376340348'
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'window-height' b'432'
 b'com.ubuntu.update-manager' b'window-width' b'520'
InstallationDate: Installed on 2013-08-01 (11 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bashSourcePackage: update-manager
UpgradeStatus: No upgrade log present (probably fresh install)

PJSingh5000 (pjsingh5000) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed

I have this bug since a couple of weeks ago
I've been using "sudo apt-get upgrade" on terminal as a workaround

bwat47 (bwat47) wrote :

Same problem here, seeing this problem on two xubuntu 13.04 laptops. One of which is a fresh install. On the fresh installed laptop the issue appeared after running all updates so it appears to be some kind of regression caused by a post-release update.

AndyP (andy-gpshelp) wrote :

Experienced this problem. :
uname -a: 3.8.0-27-generic #40-Ubuntu SMP Tue Jul 9 00:17:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
lsb_release:
Distributor ID: Ubuntu
Description: Ubuntu 13.04
Release: 13.04
Codename: raring

Using xfce 4.10 from a xubuntu installation.

Problem appeared after an update a few days ago. Confirm using command line shows the updated.

turbolad (turbolad995) wrote :

Same problem here.

gutigen (gutigen) wrote :

Same here with 13.04.

Aisano (info-ais-sanmarino) wrote :

I have the same problem (3.8.0-27-generic). I updated my system using apt-get and then started update-manager from the command line to see if anything interesting would show up. Having found nothing (correct) it gave me a message (attached) asking me to reboot for the changes to take effect. This is reproducible.

robert (ekstraadresse3) wrote :

Same problem with Xubuntu 13.04, fully updated.

Martin (cyderia8530) wrote :

I may be hallucinating, but on my 13.04 install (64-bit) the software updater dialog seems to display at least some ppa updates, but not those from the main Ubuntu repositories.

Peter Flynn (frisket) wrote :

I just had this identical problem just now (2013-08-16) and I ran sudo apt-get upgrade to fix it:

The following packages will be upgraded:
  command-not-found command-not-found-data libplymouth2 plymouth
  plymouth-label plymouth-theme-ubuntu-text plymouth-x11
  python3-commandnotfound
8 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Perhaps be better to list "software libraries and packages for internal management" or something like, just to avoid the empty window.

Francesco Tarantini (fraxav88) wrote :

Have had the same issue on Ubuntu 13.04 for a week now. Sometimes update details are shown and sometimes not.

Jean van Kasteel (vankasteelj) wrote :

Same here. Bug appeared 08/16 on Xubuntu 13.04 (live "Voyager" edition)

Paul F (boxjunk) on 2013-08-19
tags: added: i386
tags: added: 13.04
Brian Murray (brian-murray) wrote :

Is there anybody who is not using Xubuntu who is experiencing this bug?

Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Brian Murray (brian-murray) wrote :

The command line output in the description is actually the output of ubuntu-bug not update-manager. It might help if somebody ran update-manager in a terminal and included any output from it.

I was unable to recreate this on a Xubuntu install of 13.04.

Paul F (boxjunk) on 2013-08-23
tags: added: ubuntu xubuntu
Paul F (boxjunk) wrote :

Brian, Yes same problem on Ubuntu 13.04 i686 Kernel 3.8.0-29 (and previous kernel).

Initially the update manager available updates field was blank although it showed several MB of downloads available. I didn't attempt updates fearing it would fall over. Days later when further updates came online the available updates field returned although I had the impression that it was stylistically different in some way: different font size? different or smaller icons? Changed layout? Hard to say, but the presentation appeared different to me.

Used apt-get from shell to download and install the updates (as I always do, I just use the GUI to read the changelogs and version info). All installed ok and to date there's no new updates available. Will add comment here next time updates come online to say if all is well or more probs.

Forest (foresto) wrote :

Responding to Brian Murray in comment #15:

This morning, update-notifier says that I have 1 new update waiting. Running apt-get upgrade (without applying any changes) shows that the update is the libgksu2-0 package.

Launching update-manager from the command line shows that the bug is still present (the GUI displays an empty list of updates and an active Install Now button) but there is no console text output.

Paul F (boxjunk) wrote :

Yes, same as #17. Here's the apt-get upgrade o/p from a terminal.

I have previously pinned flashplugin-installer and this problem is not coincident with that change. Still, if others affected also have held back packages that might be useful information.

% sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
  flashplugin-installer
The following packages will be upgraded:
  libgksu2-0
1 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 39.2 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? n

The update manager GUI realises this update is available but the available updates list is empty.

Paul F (boxjunk) wrote :

My update-manager version:

% update-manager -V
update-manager: version 1:0.186.1

Running update-manager from the terminal generates no output to the terminal. Exit is clean.

Ana (ana-dolosa) wrote :

Hi there,

I have attached my output from terminal ... from Kubuntu 13.04 amd64 fully up to date.

Everything was working fine ... and suddenly, about a couple of weeks ago, this bug came up.

From my experience, sometimes update-manager shows some updates ... I am not sure but it seems 'system updates' are more problematic (to show) than updates from PPAs.

Hope that helps.

Regards.

Hi,
Today I received an update from google-chrome and steam-launcher and it showed up in the updates list.
Maybe it's like Ana said: 'system updates' are more problematic (to show) than updates from PPAs.
Somebody else got that same warning?

robert (ekstraadresse3) wrote :

Yes, I saw the Steam-launcher update in the window. Maybe it is system updates that are problematic?

kimble (kimble-dave) wrote :

Lubuntu 13.04 had this problem with 3.8.0.28-generic (i386) a couple of weeks ago affecting 3 machines on my LAN.
A reboot found the MBR was corrupt on 1 of 3 machines, so maybe something else caused that.
It happened again with 3.8.0-29-generic this week.
sudo apt-get upgrade showed it was libgksu2-0, which then installed OK.

Ana (ana-dolosa) wrote :

I have attached some more info ...

I personally think this smells to 'Phased Updates' ...

Brian Murray (brian-murray) wrote :

The phased update for libgksu2-0 did happen between 2013-08-27 and 2013-08-29 so perhaps it is related to the phasing of the update.

Changed in update-manager (Ubuntu):
status: Confirmed → Triaged
importance: Medium → High
summary: - Text not visible in Software Updater dialog (update-manager GUI) when
- updated software is available.
+ update-manager hides but wants to install ignored phased updates
Changed in update-manager (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
description: updated
Changed in update-manager (Ubuntu Raring):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)

Hello PJSingh5000, or anyone else affected,

Accepted update-manager into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/update-manager/1:0.186.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Raring):
status: Triaged → Fix Committed
tags: added: verification-needed

It might be a bit difficult to test this - you'd have to be selected for a
phased update.

Brian Murray (brian-murray) wrote :

I tested this using update-manager version 0.186.2 from raring-proposed and confirm the following behavior.

with Always-Include-Phased-Updates set to True, the update for bamfdaemon appears
with Never-Include-Phased-Updates set to True, the update for bamfdaemon does not appear and the system shows as up to date

with nothing in apt.conf, the update for bamfdaemon does not appear and the system shows as up to date

Subsequently, I am setting this to verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.186.2

---------------
update-manager (1:0.186.2) raring-proposed; urgency=low

  * Core/UpdateList.py: if a package is an ignored phased update mark it for
    keeping (LP: #1211511)
 -- Brian Murray <email address hidden> Fri, 30 Aug 2013 15:02:51 -0700

Changed in update-manager (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

kenn (whatnext) wrote :

I updated my system but nothing has been fixed. I get fake 2.4 mb update available message but when I click update nothing gets installed.

kenn (whatnext) wrote :

I checked it out in synaptic, it's 1:0.186.2

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.193

---------------
update-manager (1:0.193) saucy; urgency=low

  * Fix PEP-8 errors.
 -- Brian Murray <email address hidden> Fri, 30 Aug 2013 16:13:02 -0700

Changed in update-manager (Ubuntu):
status: Triaged → Fix Released
Brian Murray (brian-murray) wrote :

On Thu, Sep 05, 2013 at 08:57:19AM -0000, kenn wrote:
> I updated my system but nothing has been fixed. I get fake 2.4 mb
> update available message but when I click update nothing gets installed.

@Kenn - Does it says 2.4Mb will be download or is already downloaded?
If it is already downloaded try cleaning your apt cache via the command
'sudo apt-get clean' in a terminal.

--
Brian Murray

kenn (whatnext) wrote :

When I run software updater it says "Updated software is available for this computer. Do you want to install it now?" Details of updates are is empty. Technical description are is empty. Below it says "2.4 MB will be downloaded"

Brian Murray (brian-murray) wrote :

@Kenn - could you add the contents of your /etc/apt/apt.conf file to the bug report as an attachment?

Brian Murray (brian-murray) wrote :

@Kenn - and what version of python3-update-manager do you have installed? That is the binary package where the fix is located.

kenn (whatnext) wrote :

Brian, you mean contents of /etc/apt/apt.conf.d folder? /etc/apt/apt.conf does not exist.
I manually installed "python3-update-manager_0.193_all.deb, update-manager-core_0.193_all.deb, update-manager_0.193_all.deb" problem yet persists.

kenn (whatnext) wrote :

/etc/apt/apt.conf.d/00aptitude
/etc/apt/apt.conf.d/00trustcdrom
/etc/apt/apt.conf.d/01autoremove
/etc/apt/apt.conf.d/01autoremove-kernels
/etc/apt/apt.conf.d/05aptitude
/etc/apt/apt.conf.d/10periodic
/etc/apt/apt.conf.d/15update-stamp
/etc/apt/apt.conf.d/20archive
/etc/apt/apt.conf.d/20changelog
/etc/apt/apt.conf.d/20dbus
/etc/apt/apt.conf.d/20packagekit
/etc/apt/apt.conf.d/50unattended-upgrades
/etc/apt/apt.conf.d/70debconf
/etc/apt/apt.conf.d/90rkhunter
/etc/apt/apt.conf.d/99ignoresave
/etc/apt/apt.conf.d/99synaptic
/etc/apt/apt.conf.d/99update-notifier

Brian Murray (brian-murray) wrote :

On Thu, Sep 05, 2013 at 03:26:57PM -0000, kenn wrote:
> Brian, you mean contents of /etc/apt/apt.conf.d folder? /etc/apt/apt.conf does not exist.
> I manually installed "python3-update-manager_0.193_all.deb, update-manager-core_0.193_all.deb, update-manager_0.193_all.deb" problem yet persists.

If you are running Raring you want to have version 0.186.2 installed not
the one from Saucy (0.193).

--
Brian Murray

kenn (whatnext) wrote :

> If you are running Raring you want to have version 0.186.2 installed not
the one from Saucy (0.193).
Thank you for clarification about that, I got confused why I didn't have that repo. Yes, I have raring 32 bit.

Vadim Peretokin (vperetokin) wrote :

The issue is not complete resolved - today morning I got a window pop up saying "this computer is fully updated". Puzzled as to why would it show on its own, I went and checked apt-get upgrade - and sure enough, it gave me available updates.

So whatever hook is fired off that opens the window should also account for phased updates removing all updates and not fire.

Jussi (jussi-lahtinen-gmail) wrote :

The problem happens also other way around (not sure which one is incorrect, update-notifier [perhaps it is showing phased updates when it shouldn't] or update-manager).
https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/1227760

florin (florin-arjocu) wrote :

This is the proof that what vadim says happens. I first started the apt-get upgrade and got the update list. Then I started update manager - no updates.

Vadim Peretokin (vperetokin) wrote :

Yep. I didn't even start it myself in this case, so the "your computer is
fine" dialog out of the blue is confusing and unnecessary.

Forest (foresto) wrote :

See also: bug 1223015

Forest is right!
The old bug in this page is really fixed
This new one is actually the https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/1211511
Thx Forest

This bug is actually a duplicate so the original is the bug 1223321

Brian Murray (brian-murray) wrote :

@florin - that is because apt is not aware of phased-updates so will install everything available in raring-updates, while update-manager may choose not to install some packages.

Brian Murray (brian-murray) wrote :

@Vadim - I've added the issue about update-manager launching and saying your system is up to date to bug 1223321.

Vadim Peretokin (vperetokin) wrote :

Got it, thanks!

Andrew P. (japoth) wrote :

I encountered this bug for the first time today on Ubuntu 10.04 "Lucid Lynx" after a problematic partial update of the kernel and gambas3. It appeared to complete the upgrade, removing a number of obsolete packages and upgrading others. After rebooting, the Update Manager still thinks it needs to fetch 207 KB of files, but the list is empty. See the screenshot at http://i.stack.imgur.com/hoOA8.png

 When I run "sudo apt-get upgrade" in a terminal window, the system responds:

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Running the command in the terminal does not clear the problem. When I run Update Manager again, it still thinks it needs to fetch 207 kilobytes of files. If it is just a bookkeeping error, I sure would like to know how to clear the flag manually and set the byte count to zero.

Brian Murray (brian-murray) wrote :

@Andrew P. - that is not this bug as the support for phased updates does not exist in Ubuntu 10.04.

defaria (andrew-defaria) wrote :

This is still an issue for me. I'm on 14.10. The update-manager says it's version 1:14.10.6. Nothing I've tried fixes this. Help?

I also still have this on 15.04. I have removed all non-Ubuntu repositories but to no avail.

Brian Murray (brian-murray) wrote :

@Robert - please open a new bug report about update-manager using 'ubuntu-bug update-manager'.

David Oxland (doxland) wrote :

My attempt at reporting this bug resulted in ;
"software updater" does not exist in Ubuntu. Please choose a different package. If you're unsure, please select "I don't know"
 Fact remains I am still experiencing this bug most times on update.

Hans Joachim Desserud (hjd) wrote :

Hi David.

>"software updater" does not exist in Ubuntu.

I would guess it doesn't recognize it as a package name. Could you please try running `ubuntu-bug update-manager` to file a new bug report?

Peter Schmitt (pschm) wrote :

I have observed this after my last update (July 26, 2018).
I did an update with apt-get (as usual) on August 11, but the newest messag of the updater still shows no deteails

Ubuntu 16.04 LTS
Linux TP 4.4.0-131-generic #157-Ubuntu SMP Thu Jul 12 15:51:36 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
.

Hans Joachim Desserud (hjd) wrote :

Peter: It looks like a very similar issue has been introduced when removing older kernels became available in update-manager. This is being tracked in bug 1783023, please see that for more information.

DaytonaJohn (daytonajra) wrote :

I saw this same issue on 3 October, 2018 under Ubuntu 18.04. Software Updater notifies that updates are available and that 1.5 MB need to be downloaded, but shows nothing in the list of software to be updated.

To post a comment you must log in.